package cn.com.tenlion.systembase.pojo.bos.organization;

/**
 *
 * @ClassName: OrganizationBO
 * @Description: 社会组织
 * @Author: CodeFactory
 * @Date: 2021-11-04 15:17:38
 * @Version: 3.0
 **/
public class OrganizationBO {

    private String organizationId;
    private String organizationName;
    private String organizationTypeId;
    private String organizationTypeName;
    private Integer organizationStatus;
    private String organizationSummary;
    private String businessRegNo;
    private String businessLicense;
    private String businessLicenseStartDate;
    private String businessLicenseEndDate;
    private String registrationNo;
    private String registrationAuthorityNo;
    private String legalPersonName;
    private String residence;
    private String approvalDate;
    private String masterName;
    private String masterPhone;
    private String masterIdCardCode;
    private String masterIdCardCodeName;
    private String masterIdCard;
    private String masterIdCardFront;
    private String masterIdCardBack;
    private String officeAddress;
    private String securityPersonName;
    private String securityPersonPhone;
    private String degreeOfConcernId;
    private String degreeOfConcernName;
    private Integer canEstablishPartyOrg;
    private Integer hasPartyOrg;
    private Integer partyOrgTotalPerson;
    private Integer hasLabourUnion;
    private Integer labourUnionTotalPerson;
    private Integer hasCommunistYouthLeague;
    private Integer communistYouthLeagueTotalPerson;
    private Integer hasWomenFederation;
    private Integer womenTotalPerson;
    private String sourceOfFunds;
    private Integer hasOverseasBackground;
    private String organizationLng;
    private String organizationLat;
    private String areaCode;
    private String areaName;
    private String gridCode;
    private String gridName;
    private String remarks;
    private String facadePhotos;
    private String workplacePhotos;
    private String gmtCreate;
    private String creator;
    private String gmtModified;
    private String modifier;
    private Integer isDelete;

    public String getOrganizationId() {
        return organizationId == null ? "" : organizationId.trim();
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName == null ? "" : organizationName.trim();
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String getOrganizationTypeId() {
        return organizationTypeId == null ? "" : organizationTypeId.trim();
    }

    public void setOrganizationTypeId(String organizationTypeId) {
        this.organizationTypeId = organizationTypeId;
    }

    public String getOrganizationTypeName() {
        return organizationTypeName == null ? "" : organizationTypeName.trim();
    }

    public void setOrganizationTypeName(String organizationTypeName) {
        this.organizationTypeName = organizationTypeName;
    }

    public Integer getOrganizationStatus() {
        return organizationStatus == null ? 0 : organizationStatus;
    }

    public void setOrganizationStatus(Integer organizationStatus) {
        this.organizationStatus = organizationStatus;
    }

    public String getOrganizationSummary() {
        return organizationSummary == null ? "" : organizationSummary.trim();
    }

    public void setOrganizationSummary(String organizationSummary) {
        this.organizationSummary = organizationSummary;
    }

    public String getBusinessRegNo() {
        return businessRegNo == null ? "" : businessRegNo.trim();
    }

    public void setBusinessRegNo(String businessRegNo) {
        this.businessRegNo = businessRegNo;
    }

    public String getBusinessLicense() {
        return businessLicense == null ? "" : businessLicense.trim();
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessLicenseStartDate() {
        return businessLicenseStartDate == null ? "" : businessLicenseStartDate.trim();
    }

    public void setBusinessLicenseStartDate(String businessLicenseStartDate) {
        this.businessLicenseStartDate = businessLicenseStartDate;
    }

    public String getBusinessLicenseEndDate() {
        return businessLicenseEndDate == null ? "" : businessLicenseEndDate.trim();
    }

    public void setBusinessLicenseEndDate(String businessLicenseEndDate) {
        this.businessLicenseEndDate = businessLicenseEndDate;
    }

    public String getRegistrationNo() {
        return registrationNo == null ? "" : registrationNo.trim();
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getRegistrationAuthorityNo() {
        return registrationAuthorityNo == null ? "" : registrationAuthorityNo.trim();
    }

    public void setRegistrationAuthorityNo(String registrationAuthorityNo) {
        this.registrationAuthorityNo = registrationAuthorityNo;
    }

    public String getLegalPersonName() {
        return legalPersonName == null ? "" : legalPersonName.trim();
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getResidence() {
        return residence == null ? "" : residence.trim();
    }

    public void setResidence(String residence) {
        this.residence = residence;
    }

    public String getApprovalDate() {
        return approvalDate == null ? "" : approvalDate.trim();
    }

    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate;
    }

    public String getMasterName() {
        return masterName == null ? "" : masterName.trim();
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    public String getMasterPhone() {
        return masterPhone == null ? "" : masterPhone.trim();
    }

    public void setMasterPhone(String masterPhone) {
        this.masterPhone = masterPhone;
    }

    public String getMasterIdCardCode() {
        return masterIdCardCode == null ? "" : masterIdCardCode.trim();
    }

    public void setMasterIdCardCode(String masterIdCardCode) {
        this.masterIdCardCode = masterIdCardCode;
    }

    public String getMasterIdCardCodeName() {
        return masterIdCardCodeName == null ? "" : masterIdCardCodeName.trim();
    }

    public void setMasterIdCardCodeName(String masterIdCardCodeName) {
        this.masterIdCardCodeName = masterIdCardCodeName;
    }

    public String getMasterIdCard() {
        return masterIdCard == null ? "" : masterIdCard.trim();
    }

    public void setMasterIdCard(String masterIdCard) {
        this.masterIdCard = masterIdCard;
    }

    public String getMasterIdCardFront() {
        return masterIdCardFront == null ? "" : masterIdCardFront.trim();
    }

    public void setMasterIdCardFront(String masterIdCardFront) {
        this.masterIdCardFront = masterIdCardFront;
    }

    public String getMasterIdCardBack() {
        return masterIdCardBack == null ? "" : masterIdCardBack.trim();
    }

    public void setMasterIdCardBack(String masterIdCardBack) {
        this.masterIdCardBack = masterIdCardBack;
    }

    public String getOfficeAddress() {
        return officeAddress == null ? "" : officeAddress.trim();
    }

    public void setOfficeAddress(String officeAddress) {
        this.officeAddress = officeAddress;
    }

    public String getSecurityPersonName() {
        return securityPersonName == null ? "" : securityPersonName.trim();
    }

    public void setSecurityPersonName(String securityPersonName) {
        this.securityPersonName = securityPersonName;
    }

    public String getSecurityPersonPhone() {
        return securityPersonPhone == null ? "" : securityPersonPhone.trim();
    }

    public void setSecurityPersonPhone(String securityPersonPhone) {
        this.securityPersonPhone = securityPersonPhone;
    }

    public String getDegreeOfConcernId() {
        return degreeOfConcernId == null ? "" : degreeOfConcernId.trim();
    }

    public void setDegreeOfConcernId(String degreeOfConcernId) {
        this.degreeOfConcernId = degreeOfConcernId;
    }

    public String getDegreeOfConcernName() {
        return degreeOfConcernName == null ? "" : degreeOfConcernName.trim();
    }

    public void setDegreeOfConcernName(String degreeOfConcernName) {
        this.degreeOfConcernName = degreeOfConcernName;
    }

    public Integer getCanEstablishPartyOrg() {
        return canEstablishPartyOrg == null ? 0 : canEstablishPartyOrg;
    }

    public void setCanEstablishPartyOrg(Integer canEstablishPartyOrg) {
        this.canEstablishPartyOrg = canEstablishPartyOrg;
    }

    public Integer getHasPartyOrg() {
        return hasPartyOrg == null ? 0 : hasPartyOrg;
    }

    public void setHasPartyOrg(Integer hasPartyOrg) {
        this.hasPartyOrg = hasPartyOrg;
    }

    public Integer getPartyOrgTotalPerson() {
        return partyOrgTotalPerson == null ? 0 : partyOrgTotalPerson;
    }

    public void setPartyOrgTotalPerson(Integer partyOrgTotalPerson) {
        this.partyOrgTotalPerson = partyOrgTotalPerson;
    }

    public Integer getHasLabourUnion() {
        return hasLabourUnion == null ? 0 : hasLabourUnion;
    }

    public void setHasLabourUnion(Integer hasLabourUnion) {
        this.hasLabourUnion = hasLabourUnion;
    }

    public Integer getLabourUnionTotalPerson() {
        return labourUnionTotalPerson == null ? 0 : labourUnionTotalPerson;
    }

    public void setLabourUnionTotalPerson(Integer labourUnionTotalPerson) {
        this.labourUnionTotalPerson = labourUnionTotalPerson;
    }

    public Integer getHasCommunistYouthLeague() {
        return hasCommunistYouthLeague == null ? 0 : hasCommunistYouthLeague;
    }

    public void setHasCommunistYouthLeague(Integer hasCommunistYouthLeague) {
        this.hasCommunistYouthLeague = hasCommunistYouthLeague;
    }

    public Integer getCommunistYouthLeagueTotalPerson() {
        return communistYouthLeagueTotalPerson == null ? 0 : communistYouthLeagueTotalPerson;
    }

    public void setCommunistYouthLeagueTotalPerson(Integer communistYouthLeagueTotalPerson) {
        this.communistYouthLeagueTotalPerson = communistYouthLeagueTotalPerson;
    }

    public Integer getHasWomenFederation() {
        return hasWomenFederation == null ? 0 : hasWomenFederation;
    }

    public void setHasWomenFederation(Integer hasWomenFederation) {
        this.hasWomenFederation = hasWomenFederation;
    }

    public Integer getWomenTotalPerson() {
        return womenTotalPerson == null ? 0 : womenTotalPerson;
    }

    public void setWomenTotalPerson(Integer womenTotalPerson) {
        this.womenTotalPerson = womenTotalPerson;
    }

    public String getSourceOfFunds() {
        return sourceOfFunds == null ? "" : sourceOfFunds.trim();
    }

    public void setSourceOfFunds(String sourceOfFunds) {
        this.sourceOfFunds = sourceOfFunds;
    }

    public Integer getHasOverseasBackground() {
        return hasOverseasBackground == null ? 0 : hasOverseasBackground;
    }

    public void setHasOverseasBackground(Integer hasOverseasBackground) {
        this.hasOverseasBackground = hasOverseasBackground;
    }

    public String getOrganizationLng() {
        return organizationLng == null ? "" : organizationLng.trim();
    }

    public void setOrganizationLng(String organizationLng) {
        this.organizationLng = organizationLng;
    }

    public String getOrganizationLat() {
        return organizationLat == null ? "" : organizationLat.trim();
    }

    public void setOrganizationLat(String organizationLat) {
        this.organizationLat = organizationLat;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getGridCode() {
        return gridCode == null ? "" : gridCode.trim();
    }

    public void setGridCode(String gridCode) {
        this.gridCode = gridCode;
    }

    public String getGridName() {
        return gridName == null ? "" : gridName.trim();
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getRemarks() {
        return remarks == null ? "" : remarks.trim();
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getFacadePhotos() {
        return facadePhotos == null ? "" : facadePhotos.trim();
    }

    public void setFacadePhotos(String facadePhotos) {
        this.facadePhotos = facadePhotos;
    }

    public String getWorkplacePhotos() {
        return workplacePhotos == null ? "" : workplacePhotos.trim();
    }

    public void setWorkplacePhotos(String workplacePhotos) {
        this.workplacePhotos = workplacePhotos;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
